import "../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { useRoute } from "../../../../node_modules/.pnpm/vue-router@4.0.12_vue@3.3.4/node_modules/vue-router/dist/vue-router.esm-bundler.mjs";
import { PageEnum } from "../../../enums/pageEnum.mjs";
import { defineComponent, computed, resolveComponent, openBlock, createBlock, withCtx, createElementVNode as createBaseVNode, createVNode, renderSlot } from "../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { normalizeClass } from "../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.mjs";
const _hoisted_1 = { class: "header-item left" };
const _hoisted_2 = { class: "header-item center" };
const _hoisted_3 = { class: "header-item right" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const route = useRoute();
    const isProject = computed(() => {
      return route.fullPath === PageEnum.BASE_HOME_ITEMS;
    });
    return (_ctx, _cache) => {
      const _component_n_space = resolveComponent("n-space");
      const _component_n_layout_header = resolveComponent("n-layout-header");
      return openBlock(), createBlock(_component_n_layout_header, {
        bordered: "",
        class: "go-header"
      }, {
        default: withCtx(() => [
          createBaseVNode("header", {
            class: normalizeClass(["go-header-box", { "is-project": isProject.value }])
          }, [
            createBaseVNode("div", _hoisted_1, [
              createVNode(_component_n_space, null, {
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "left", {}, void 0, true)
                ]),
                _: 3
              })
            ]),
            createBaseVNode("div", _hoisted_2, [
              renderSlot(_ctx.$slots, "center", {}, void 0, true)
            ]),
            createBaseVNode("div", _hoisted_3, [
              createVNode(_component_n_space, null, {
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "ri-left", {}, void 0, true),
                  renderSlot(_ctx.$slots, "ri-right", {}, void 0, true)
                ]),
                _: 3
              })
            ])
          ], 2)
        ]),
        _: 3
      });
    };
  }
});
export {
  _sfc_main as default
};
